" Vim syntax file
" Language   : Jazzyk (http://jazzyk.sf.net/)
" Maintainers: Peter Novak
" Last Change: 2010-08-13

if exists("b:current_syntax")
    finish
endif

syn case match
syn sync minlines=50

" Jazzyk keywords
syn keyword jazzykKeyword when then else query update define declare module as notify on initialize finalize cycle and or not

" comments
syn match jazzykTodo "[tT][oO][dD][oO]" contained
syn match jazzykLineComment "//.*" contains=jazzykTodo
syn match jazzykLineComment "dnl.*" contains=jazzykTodo
syn region jazzykComment start="/\*" end="\*/" contains=jazzykTodo

syn match jazzykEmptyString "\"\""

" multi-line string literals
syn region jazzykCodeBlock start="\[{" end="}\]" contains=jazzykUnicode
syn match jazzykUnicode "\\u[0-9a-fA-F]\{4}" contained

syn sync fromstart

" map Scala groups to standard groups
hi link jazzykKeyword Keyword
hi link jazzykCodeBlock Special
hi link jazzykUnicode Special
hi link jazzykComment Comment
hi link jazzykLineComment Comment
hi link jazzykTodo Todo

let b:current_syntax = "jazzyk"

